Bug 256139

Summary: net-im/psi: Add plugin and localization support
Product: Ports & Packages Reporter: Chris <cmangin>
Component: Individual Port(s)Assignee: Alexey Dokuchaev <danfe>
Status: New ---    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (danfe)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch none

Description Chris 2021-05-25 02:16:21 UTC
Created attachment 225242 [details]
Patch

This patch adds plugin and localization support to net-im/psi (version 1.5)

Changes:

- Switch to github since this where the various sub-projects are hosted.
Notably:
https://github.com/psi-im/psi (main project)
https://github.com/psi-im/iris (library)
https://github.com/psi-im/libpsi (library)
https://github.com/psi-im/plugins (plugins)
https://github.com/psi-im/psi-l10n (translation files)

- Add options NLS and PLUGINS (set as default).
- All plugins build with the exception of screenshotplugin.
- A couple of plugins depend on option WEBKIT being selected. So they are not built by default.
- The otrplugin brings a few more dependencies (libotr and friends)